# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish VMOD for dispatching control to VCL labels or subroutines
Name: vmod-dispatch
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/libvmod-dispatch
Source0: %{name}-%{version}.tar.gz

# varnish 6.2.0 from varnish62 at packagecloud
# This is the Requires for strict VMOD ABI compatibility.
Requires: varnishd(abi)%{?_isa} == b14a3d38dbe918ad50d3838b11aa596f42179b54

BuildRequires: varnish-devel == 6.2.0
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6

Provides: vmod-dispatch, vmod-dispatch-debuginfo

%description
Varnish Module for dispatching control to labels or subroutines in the
Varnish Configuration Language (VCL).

%prep
%setup -q -n %{name}-%{version}

%build

# if this were a git build
# ./autogen.sh

%configure

make -j

%check

make -j check

%install

make install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE

%post
/sbin/ldconfig

%changelog
* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
  Compatibilty with Varnish 6.2.0

* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - 0.1.0-1
  Compatibilty with Varnish 6.0.3
